KDE 4.2 PyKDE API Reference

- KDE's Python API

# Context Class Reference

`from PyKDE4.plasma import *`

Inherits: QObject
Namespace: Plasma

## Detailed Description

## Signals

| activityChanged (Plasma.Context context)
| changed (Plasma.Context context)
| locationChanged (Plasma.Context context)

## Methods

| __init__ (self, QObject parent=0)
| activityChanged (self, Plasma.Context context)
| changed (self, Plasma.Context context)
| createActivity (self, QString name)
QString | currentActivity (self)
QStringList | listActivities (self)
| locationChanged (self, Plasma.Context context)
| setCurrentActivity (self, QString name)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

activityChanged | ( | self, |
|  | Plasma.Context | context
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("activityChanged(Context*)"), target_slot)`

changed | ( | self, |
|  | Plasma.Context | context
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("changed(Context*)"), target_slot)`

createActivity | ( | self, |
|  | QString | name
| ) |  |  |

QString currentActivity | ( |  | self ) |

QStringList listActivities | ( |  | self ) |

locationChanged | ( | self, |
|  | Plasma.Context | context
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("locationChanged(Context*)"), target_slot)`

setCurrentActivity | ( | self, |
|  | QString | name
| ) |  |  |